#
# spec file for package invm-cli
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2016 Intel Corporation
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


# allow building with SLE12-compatible package-names
%bcond_with short-invm-dnames

Name:           invm-cli
Version:        1.0.0.1104
Release:        lp150.2.4
Summary:        Framework for Intel Storage CLI Binaries
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            https://01.org/intel-nvm-cli-library
Source:         https://github.com/01org/lib%{name}/archive/v%{version}.tar.gz
BuildRequires:  gcc-c++
%if %{with short-invm-dnames}
BuildRequires:  invm-i18n-devel
%else
BuildRequires:  libinvm-i18n-devel
%endif
ExclusiveArch:  x86_64

%define api_release 1
%define lname       lib%{name}%{api_release}
%define srcname     lib%{name}-%{version}
%if %{with short-invm-dnames}
%define dname       %{name}-devel
%define altdname    lib%{name}-devel
%else
%define dname       lib%{name}-devel
%define altdname    %{name}-devel
%endif

%description
Framework libraries for the Intel Storage CLI binaries.

%package -n %{lname}
Summary:        Framework for Intel Storage CLI Binaries
Group:          System/Libraries
%if %{with short-invm-dnames}
BuildRequires:  invm-i18n-devel
%else
BuildRequires:  libinvm-i18n-devel
%endif

%description -n %{lname}
Framework libraries for the Intel Storage CLI binaries.

%package -n %{dname}
Summary:        Development files for %{name}
Group:          Development/Libraries/C and C++
Requires:       %{lname} = %{version}-%{release}
Obsoletes:      %{altdname} < %{version}-%{release}
Provides:       %{altdname} = %{version}-%{release}

%description -n %{dname}
The %{name}-devel package contains header files for
developing applications that use %{name}.

%prep
%setup -q -n %{srcname}
# Remember, remember the 5th^W^W bsc#976448
grep -lr CONFIDENTIAL . && exit 1 || :

%build
make BUILDNUM=%{version} RELEASE=1 \
  CFLAGS_EXTERNAL="%{?optflags}" %{?_smp_mflags} 

%install
make BUILDNUM=%{version} RELEASE=1 \
  RPM_ROOT=%{buildroot} LIB_DIR=%{_libdir} INCLUDE_DIR=%{_includedir} \
  install

%post -n %{lname} -p /sbin/ldconfig
%postun -n %{lname} -p /sbin/ldconfig

%files -n %{lname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so.*
%doc LICENSE

%files -n %{dname}
%defattr(-,root,root)
%{_libdir}/lib%{name}.so
%dir %{_includedir}/lib%{name}
%attr(644,root,root) %{_includedir}/lib%{name}/*.h

%changelog
* Thu Jan 18 2018 dimstar@opensuse.org
- Fixup "grep -lr CONFIDENTIAL ." usage for RPM 4.14: The logic
  here is: if grep matches the string, we abort the build with
  'exit 1'. If grep does not find the string, the grep has
  RETVAL=1, which causes rpmbuild to fail (beofore RPM 4.14, the
  exit code of the last command in a section was wrongly not
  interpretet to decide on success/failure of the section).
* Sat Aug 12 2017 jengelh@inai.de
- RPM group fix.
* Fri Aug  4 2017 rw@suse.com
- Minor version update to 1.0.0.1104.  (FATE#322551, FATE#322554)
* Wed Mar  1 2017 rw@suse.com
- Minor version update to 1.0.0.1102.  (FATE#321988, FATE#321989)
* Tue Jul  5 2016 rw@suse.com
- Re-remove files with offending licenses from tarball.  (bsc#976448)
* Mon Jul  4 2016 rw@suse.com
- Update naming for Intel NVM utils.  (bsc#987543)
- Minor version update to 1.0.0.1095.
* Wed Apr 27 2016 jthumshirn@suse.com
- Removed files with offending Licenses from tarball (bsc#976448)
* Fri Apr 15 2016 jthumshirn@suse.com
- Initial packaging for SUSE (FATE#319653, FATE#319654)
